import rollup from 'rollup'
import nodeResolve from 'rollup-plugin-node-resolve'
import commonjs from 'rollup-plugin-commonjs';
import uglify from 'rollup-plugin-uglify'
import pkg from './package.json';

export default {
    input: 'src/index.js',
    output: {
        file: pkg.main,
        // format: 'iife',
        format: 'umd',
    },
    sourcemap: true,
    sourcemapFile: pkg.main + '.map',
    name: 'angular-bmap',
    // plugins: [
    //     nodeResolve({
    //         jsnext: true,
    //         module: true
    //     }),
    //     commonjs({
    //         include: ['node_modules/rxjs/**']
    //     })/* ,
    // uglify() */
    // ]
}
